<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>RefinementsPackage</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsPackage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/RefinementsPackage.html" target="_top">Frames</a></li>
<li><a href="RefinementsPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements</div>
<h2 title="Interface RefinementsPackage" class="title">Interface RefinementsPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html" title="class in refinement.model.refinements.impl">RefinementsPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RefinementsPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><code>RefinementsFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each operation of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS">COMPOSED_REFINEMENTS</a></span></code>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Composed Refinements</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS__DATE">COMPOSED_REFINEMENTS__DATE</a></span></code>
<div class="block">The feature id for the '<em><b>Date</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS__DESCRIPTION">COMPOSED_REFINEMENTS__DESCRIPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS__NAME">COMPOSED_REFINEMENTS__NAME</a></span></code>
<div class="block">The feature id for the '<em><b>Name</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS_FEATURE_COUNT">COMPOSED_REFINEMENTS_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Composed Refinements</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS_OPERATION_COUNT">COMPOSED_REFINEMENTS_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Composed Refinements</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT">REFINEMENT</a></span></code>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinement</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___ADD_VALUE_STATE__STRING">REFINEMENT___ADD_VALUE_STATE__STRING</a></span></code>
<div class="block">The operation id for the '<em>Add Value State</em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___ADD_VALUE_STATES__ELIST">REFINEMENT___ADD_VALUE_STATES__ELIST</a></span></code>
<div class="block">The operation id for the '<em>Add Value States</em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</a></span></code>
<div class="block">The operation id for the '<em>Set Refinement</em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__DATE">REFINEMENT__DATE</a></span></code>
<div class="block">The feature id for the '<em><b>Date</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__DIFFERENCE">REFINEMENT__DIFFERENCE</a></span></code>
<div class="block">The feature id for the '<em><b>Difference</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__KIND">REFINEMENT__KIND</a></span></code>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__LINKED">REFINEMENT__LINKED</a></span></code>
<div class="block">The feature id for the '<em><b>Linked</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__REFERENCE">REFINEMENT__REFERENCE</a></span></code>
<div class="block">The feature id for the '<em><b>Reference</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__STATE">REFINEMENT__STATE</a></span></code>
<div class="block">The feature id for the '<em><b>State</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__VALUE">REFINEMENT__VALUE</a></span></code>
<div class="block">The feature id for the '<em><b>Value</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__VALUE_STATES">REFINEMENT__VALUE_STATES</a></span></code>
<div class="block">The feature id for the '<em><b>Value States</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT_FEATURE_COUNT">REFINEMENT_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Refinement</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT_OPERATION_COUNT">REFINEMENT_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Refinement</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS">REFINEMENTS</a></span></code>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinements</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___ADD_REFINEMENT__REFINEMENT">REFINEMENTS___ADD_REFINEMENT__REFINEMENT</a></span></code>
<div class="block">The operation id for the '<em>Add Refinement</em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</a></span></code>
<div class="block">The operation id for the '<em>Find Refinements By Reference</em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___GET_REFINEMENT__INT">REFINEMENTS___GET_REFINEMENT__INT</a></span></code>
<div class="block">The operation id for the '<em>Get Refinement</em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___GET_REPLACE_INDEX__ELIST">REFINEMENTS___GET_REPLACE_INDEX__ELIST</a></span></code>
<div class="block">The operation id for the '<em>Get Replace Index</em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</a></span></code>
<div class="block">The operation id for the '<em>Index Of Refinement</em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___REMOVE_REFINEMENT__INT">REFINEMENTS___REMOVE_REFINEMENT__INT</a></span></code>
<div class="block">The operation id for the '<em>Remove Refinement</em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___SAVE_REFINEMENTS__STRING">REFINEMENTS___SAVE_REFINEMENTS__STRING</a></span></code>
<div class="block">The operation id for the '<em>Save Refinements</em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</a></span></code>
<div class="block">The operation id for the '<em>Set Refinement</em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__COMPOSEDREFINEMENTS">REFINEMENTS__COMPOSEDREFINEMENTS</a></span></code>
<div class="block">The feature id for the '<em><b>Composedrefinements</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__ID">REFINEMENTS__ID</a></span></code>
<div class="block">The feature id for the '<em><b>Id</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__REFINEMENTS">REFINEMENTS__REFINEMENTS</a></span></code>
<div class="block">The feature id for the '<em><b>Refinements</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS_FEATURE_COUNT">REFINEMENTS_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Refinements</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS_OPERATION_COUNT">REFINEMENTS_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Refinements</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#STATES">STATES</a></span></code>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>' enum.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements_Date--">getComposedRefinements_Date</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/ComposedRefinements.html#getDate--"><code><em>Date</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements_Description--">getComposedRefinements_Description</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/ComposedRefinements.html#getDescription--"><code><em>Description</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements_Name--">getComposedRefinements_Name</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/ComposedRefinements.html#getName--"><code><em>Name</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--">getComposedRefinements</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code><em>Composed Refinements</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement__AddValueState__String--">getRefinement__AddValueState__String</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinement.html#addValueState-java.lang.String-"><code><em>Add Value State</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement__AddValueStates__EList--">getRefinement__AddValueStates__EList</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinement.html#addValueStates-org.eclipse.emf.common.util.EList-"><code><em>Add Value States</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement__SetRefinement__String_String_String_String_String--">getRefinement__SetRefinement__String_String_String_String_String</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-"><code><em>Set Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Date--">getRefinement_Date</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code><em>Date</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Difference--">getRefinement_Difference</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code><em>Difference</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Kind--">getRefinement_Kind</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code><em>Kind</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Linked--">getRefinement_Linked</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code><em>Linked</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Reference--">getRefinement_Reference</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code><em>Reference</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_State--">getRefinement_State</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getState--"><code><em>State</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Value--">getRefinement_Value</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code><em>Value</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_ValueStates--">getRefinement_ValueStates</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../refinement/model/refinements/Refinement.html#getValueStates--"><code><em>Value States</em></code></a>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--">getRefinement</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code><em>Refinement</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__AddRefinement__Refinement--">getRefinements__AddRefinement__Refinement</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code><em>Add Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__FindRefinementsByReference__String--">getRefinements__FindRefinementsByReference__String</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code><em>Find Refinements By Reference</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__GetRefinement__int--">getRefinements__GetRefinement__int</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code><em>Get Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__GetReplaceIndex__EList--">getRefinements__GetReplaceIndex__EList</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code><em>Get Replace Index</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__IndexOfRefinement__Refinement--">getRefinements__IndexOfRefinement__Refinement</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code><em>Index Of Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__RemoveRefinement__int--">getRefinements__RemoveRefinement__int</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code><em>Remove Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__SaveRefinements__String--">getRefinements__SaveRefinements__String</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code><em>Save Refinements</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__SetRefinement__int_Refinement--">getRefinements__SetRefinement__int_Refinement</a></span>()</code>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code><em>Set Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Composedrefinements--">getRefinements_Composedrefinements</a></span>()</code>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../refinement/model/refinements/Refinements.html#getComposedrefinements--"><code><em>Composedrefinements</em></code></a>'.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Id--">getRefinements_Id</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinements.html#getId--"><code><em>Id</em></code></a>'.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Refinements--">getRefinements_Refinements</a></span>()</code>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../refinement/model/refinements/Refinements.html#getRefinements--"><code><em>Refinements</em></code></a>'.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--">getRefinements</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code><em>Refinements</em></code></a>'.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements">RefinementsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinementsFactory--">getRefinementsFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.html#getStates--">getStates</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;java.lang.String eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;java.lang.String eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;java.lang.String eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT</h4>
<pre>static final&nbsp;int REFINEMENT</pre>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinement</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code>RefinementImpl</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement--"><code>RefinementsPackageImpl.getRefinement()</code></a>, 
<a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__VALUE</h4>
<pre>static final&nbsp;int REFINEMENT__VALUE</pre>
<div class="block">The feature id for the '<em><b>Value</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__VALUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__REFERENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__REFERENCE</h4>
<pre>static final&nbsp;int REFINEMENT__REFERENCE</pre>
<div class="block">The feature id for the '<em><b>Reference</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__REFERENCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__DIFFERENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__DIFFERENCE</h4>
<pre>static final&nbsp;int REFINEMENT__DIFFERENCE</pre>
<div class="block">The feature id for the '<em><b>Difference</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__DIFFERENCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__KIND</h4>
<pre>static final&nbsp;int REFINEMENT__KIND</pre>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__KIND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__VALUE_STATES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__VALUE_STATES</h4>
<pre>static final&nbsp;int REFINEMENT__VALUE_STATES</pre>
<div class="block">The feature id for the '<em><b>Value States</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__VALUE_STATES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__DATE</h4>
<pre>static final&nbsp;int REFINEMENT__DATE</pre>
<div class="block">The feature id for the '<em><b>Date</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__LINKED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__LINKED</h4>
<pre>static final&nbsp;int REFINEMENT__LINKED</pre>
<div class="block">The feature id for the '<em><b>Linked</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__LINKED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__STATE</h4>
<pre>static final&nbsp;int REFINEMENT__STATE</pre>
<div class="block">The feature id for the '<em><b>State</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT__STATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT_FEATURE_COUNT</h4>
<pre>static final&nbsp;int REFINEMENT_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Refinement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</h4>
<pre>static final&nbsp;int REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</pre>
<div class="block">The operation id for the '<em>Set Refinement</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT___ADD_VALUE_STATE__STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT___ADD_VALUE_STATE__STRING</h4>
<pre>static final&nbsp;int REFINEMENT___ADD_VALUE_STATE__STRING</pre>
<div class="block">The operation id for the '<em>Add Value State</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT___ADD_VALUE_STATE__STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT___ADD_VALUE_STATES__ELIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT___ADD_VALUE_STATES__ELIST</h4>
<pre>static final&nbsp;int REFINEMENT___ADD_VALUE_STATES__ELIST</pre>
<div class="block">The operation id for the '<em>Add Value States</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT___ADD_VALUE_STATES__ELIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT_OPERATION_COUNT</h4>
<pre>static final&nbsp;int REFINEMENT_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Refinement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENT_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS</h4>
<pre>static final&nbsp;int REFINEMENTS</pre>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinements</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code>RefinementsImpl</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements--"><code>RefinementsPackageImpl.getRefinements()</code></a>, 
<a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS__ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS__ID</h4>
<pre>static final&nbsp;int REFINEMENTS__ID</pre>
<div class="block">The feature id for the '<em><b>Id</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS__ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS__REFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS__REFINEMENTS</h4>
<pre>static final&nbsp;int REFINEMENTS__REFINEMENTS</pre>
<div class="block">The feature id for the '<em><b>Refinements</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS__REFINEMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS__COMPOSEDREFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS__COMPOSEDREFINEMENTS</h4>
<pre>static final&nbsp;int REFINEMENTS__COMPOSEDREFINEMENTS</pre>
<div class="block">The feature id for the '<em><b>Composedrefinements</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS__COMPOSEDREFINEMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS_FEATURE_COUNT</h4>
<pre>static final&nbsp;int REFINEMENTS_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Refinements</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___ADD_REFINEMENT__REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___ADD_REFINEMENT__REFINEMENT</h4>
<pre>static final&nbsp;int REFINEMENTS___ADD_REFINEMENT__REFINEMENT</pre>
<div class="block">The operation id for the '<em>Add Refinement</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___ADD_REFINEMENT__REFINEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___SAVE_REFINEMENTS__STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___SAVE_REFINEMENTS__STRING</h4>
<pre>static final&nbsp;int REFINEMENTS___SAVE_REFINEMENTS__STRING</pre>
<div class="block">The operation id for the '<em>Save Refinements</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___SAVE_REFINEMENTS__STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</h4>
<pre>static final&nbsp;int REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</pre>
<div class="block">The operation id for the '<em>Index Of Refinement</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___GET_REFINEMENT__INT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___GET_REFINEMENT__INT</h4>
<pre>static final&nbsp;int REFINEMENTS___GET_REFINEMENT__INT</pre>
<div class="block">The operation id for the '<em>Get Refinement</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___GET_REFINEMENT__INT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</h4>
<pre>static final&nbsp;int REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</pre>
<div class="block">The operation id for the '<em>Set Refinement</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</h4>
<pre>static final&nbsp;int REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</pre>
<div class="block">The operation id for the '<em>Find Refinements By Reference</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___REMOVE_REFINEMENT__INT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___REMOVE_REFINEMENT__INT</h4>
<pre>static final&nbsp;int REFINEMENTS___REMOVE_REFINEMENT__INT</pre>
<div class="block">The operation id for the '<em>Remove Refinement</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___REMOVE_REFINEMENT__INT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS___GET_REPLACE_INDEX__ELIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___GET_REPLACE_INDEX__ELIST</h4>
<pre>static final&nbsp;int REFINEMENTS___GET_REPLACE_INDEX__ELIST</pre>
<div class="block">The operation id for the '<em>Get Replace Index</em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS___GET_REPLACE_INDEX__ELIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS_OPERATION_COUNT</h4>
<pre>static final&nbsp;int REFINEMENTS_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Refinements</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.REFINEMENTS_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS</h4>
<pre>static final&nbsp;int COMPOSED_REFINEMENTS</pre>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Composed Refinements</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><code>ComposedRefinementsImpl</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getComposedRefinements--"><code>RefinementsPackageImpl.getComposedRefinements()</code></a>, 
<a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.COMPOSED_REFINEMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS__NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS__NAME</h4>
<pre>static final&nbsp;int COMPOSED_REFINEMENTS__NAME</pre>
<div class="block">The feature id for the '<em><b>Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.COMPOSED_REFINEMENTS__NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS__DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS__DESCRIPTION</h4>
<pre>static final&nbsp;int COMPOSED_REFINEMENTS__DESCRIPTION</pre>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.COMPOSED_REFINEMENTS__DESCRIPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS__DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS__DATE</h4>
<pre>static final&nbsp;int COMPOSED_REFINEMENTS__DATE</pre>
<div class="block">The feature id for the '<em><b>Date</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.COMPOSED_REFINEMENTS__DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS_FEATURE_COUNT</h4>
<pre>static final&nbsp;int COMPOSED_REFINEMENTS_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Composed Refinements</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.COMPOSED_REFINEMENTS_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS_OPERATION_COUNT</h4>
<pre>static final&nbsp;int COMPOSED_REFINEMENTS_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Composed Refinements</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.COMPOSED_REFINEMENTS_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATES">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATES</h4>
<pre>static final&nbsp;int STATES</pre>
<div class="block">The meta object id for the '<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getStates--"><code>RefinementsPackageImpl.getStates()</code></a>, 
<a href="../../../constant-values.html#refinement.model.refinements.RefinementsPackage.STATES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRefinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getRefinement()</pre>
<div class="block">Returns the meta object for class '<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code><em>Refinement</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Refinement</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Reference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Reference</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Reference()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code><em>Reference</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Reference</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getReference--"><code>Refinement.getReference()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Difference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Difference</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Difference()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code><em>Difference</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Difference</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getDifference--"><code>Refinement.getDifference()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Value--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Value</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Value()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code><em>Value</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Value</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getValue--"><code>Refinement.getValue()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Kind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Kind</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Kind()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code><em>Kind</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Kind</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getKind--"><code>Refinement.getKind()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_ValueStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_ValueStates</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_ValueStates()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../refinement/model/refinements/Refinement.html#getValueStates--"><code><em>Value States</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Value States</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getValueStates--"><code>Refinement.getValueStates()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Date--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Date</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Date()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code><em>Date</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Date</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getDate--"><code>Refinement.getDate()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Linked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Linked</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getRefinement_Linked()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code><em>Linked</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Linked</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getLinked--"><code>Refinement.getLinked()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_State--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_State</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_State()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinement.html#getState--"><code><em>State</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>State</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#getState--"><code>Refinement.getState()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement__SetRefinement__String_String_String_String_String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement__SetRefinement__String_String_String_String_String</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinement__SetRefinement__String_String_String_String_String()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-"><code><em>Set Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Set Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-"><code>Refinement.setRefinement(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement__AddValueState__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement__AddValueState__String</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinement__AddValueState__String()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinement.html#addValueState-java.lang.String-"><code><em>Add Value State</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Add Value State</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#addValueState-java.lang.String-"><code>Refinement.addValueState(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement__AddValueStates__EList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement__AddValueStates__EList</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinement__AddValueStates__EList()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinement.html#addValueStates-org.eclipse.emf.common.util.EList-"><code><em>Add Value States</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Add Value States</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinement.html#addValueStates-org.eclipse.emf.common.util.EList-"><code>Refinement.addValueStates(org.eclipse.emf.common.util.EList)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getRefinements()</pre>
<div class="block">Returns the meta object for class '<a href="../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code><em>Refinements</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Refinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements_Id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements_Id</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRefinements_Id()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/Refinements.html#getId--"><code><em>Id</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Id</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#getId--"><code>Refinements.getId()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements_Refinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements_Refinements</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getRefinements_Refinements()</pre>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../refinement/model/refinements/Refinements.html#getRefinements--"><code><em>Refinements</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Refinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#getRefinements--"><code>Refinements.getRefinements()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements_Composedrefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements_Composedrefinements</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getRefinements_Composedrefinements()</pre>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../refinement/model/refinements/Refinements.html#getComposedrefinements--"><code><em>Composedrefinements</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Composedrefinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#getComposedrefinements--"><code>Refinements.getComposedrefinements()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__AddRefinement__Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__AddRefinement__Refinement</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__AddRefinement__Refinement()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code><em>Add Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Add Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code>Refinements.addRefinement(refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__SaveRefinements__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__SaveRefinements__String</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__SaveRefinements__String()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code><em>Save Refinements</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Save Refinements</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code>Refinements.saveRefinements(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__IndexOfRefinement__Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__IndexOfRefinement__Refinement</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__IndexOfRefinement__Refinement()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code><em>Index Of Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Index Of Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code>Refinements.indexOfRefinement(refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__GetRefinement__int--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__GetRefinement__int</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__GetRefinement__int()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code><em>Get Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Get Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code>Refinements.getRefinement(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__SetRefinement__int_Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__SetRefinement__int_Refinement</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__SetRefinement__int_Refinement()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code><em>Set Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Set Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code>Refinements.setRefinement(int, refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__FindRefinementsByReference__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__FindRefinementsByReference__String</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__FindRefinementsByReference__String()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code><em>Find Refinements By Reference</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Find Refinements By Reference</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code>Refinements.findRefinementsByReference(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__RemoveRefinement__int--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__RemoveRefinement__int</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__RemoveRefinement__int()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code><em>Remove Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Remove Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code>Refinements.removeRefinement(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__GetReplaceIndex__EList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__GetReplaceIndex__EList</h4>
<pre>org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__GetReplaceIndex__EList()</pre>
<div class="block">Returns the meta object for the '<a href="../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code><em>Get Replace Index</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Get Replace Index</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code>Refinements.getReplaceIndex(org.eclipse.emf.common.util.EList)</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getComposedRefinements()</pre>
<div class="block">Returns the meta object for class '<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code><em>Composed Refinements</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Composed Refinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements_Name--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements_Name</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getComposedRefinements_Name()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/ComposedRefinements.html#getName--"><code><em>Name</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/ComposedRefinements.html#getName--"><code>ComposedRefinements.getName()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--"><code>getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements_Description--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements_Description</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getComposedRefinements_Description()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/ComposedRefinements.html#getDescription--"><code><em>Description</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Description</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/ComposedRefinements.html#getDescription--"><code>ComposedRefinements.getDescription()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--"><code>getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements_Date--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements_Date</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getComposedRefinements_Date()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../refinement/model/refinements/ComposedRefinements.html#getDate--"><code><em>Date</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Date</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/ComposedRefinements.html#getDate--"><code>ComposedRefinements.getDate()</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--"><code>getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStates</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getStates()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>States</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinementsFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRefinementsFactory</h4>
<pre><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements">RefinementsFactory</a>&nbsp;getRefinementsFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/RefinementsPackage.html" target="_top">Frames</a></li>
<li><a href="RefinementsPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
